Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 1538743002: Switch to standard integer types in base/. (Closed)

Created:
3 years, 9 months ago by Avi (use Gerrit)
Modified:
3 years, 8 months ago
Reviewers:
CC:
chromium-reviews, Dai Mikurube (NOT FULLTIME), vmpstr+watch_chromium.org, wfh+watch_chromium.org, gavinp+memory_chromium.org, grt+watch_chromium.org, asvitkine+watch_chromium.org, tfarina, tracing+reviews_chromium.org, sadrul, chirantan+watch_chromium.org, jshin+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Switch to standard integer types in base/. BUG=138542 TBR=mark@chromium.org NOPRESUBMIT=true Committed: https://crrev.com/9b6f42934e5a1e65ebfc668d91a28a6e2678a14c Cr-Commit-Position: refs/heads/master@{#366910}

Patch Set 1 #

Patch Set 2 : macros everywhere #

Patch Set 3 : rebase #

Patch Set 4 : more includes #

Patch Set 5 : now generated by tooling #

Patch Set 6 : rebase #

Patch Set 7 : #

Patch Set 8 : #

Patch Set 9 : #

Patch Set 10 : #

Patch Set 11 : #

Patch Set 12 : #

Patch Set 13 : lots of limits #

Patch Set 14 : #

Patch Set 15 : DEPS roll too #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1213 lines, -815 lines) Patch
M DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +1 line, -1 line 0 comments Download
M base/allocator/allocator_shim_win.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -2 lines 0 comments Download
M base/allocator/unittest_utils.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/at_exit.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/atomic_sequence_num.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/atomicops_internals_atomicword_compat.h View 1 2 3 4 1 chunk +5 lines, -1 line 0 comments Download
M base/atomicops_internals_portable.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M base/atomicops_internals_x86_msvc.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/auto_reset.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/base64.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/base64url.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/base64url.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/base64url_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/base_paths_mac.mm View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/base_paths_posix.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M base/base_switches.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/big_endian.h View 1 2 3 4 5 chunks +17 lines, -15 lines 0 comments Download
M base/big_endian.cc View 2 chunks +8 lines, -8 lines 0 comments Download
M base/big_endian_unittest.cc View 1 2 3 4 4 chunks +14 lines, -12 lines 0 comments Download
M base/bind_helpers.h View 1 2 3 4 6 1 chunk +3 lines, -1 line 0 comments Download
M base/bind_internal.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/bind_internal_win.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/bind_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/bind_unittest.nc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/bits.h View 1 2 3 4 2 chunks +7 lines, -5 lines 0 comments Download
M base/bits_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/callback_helpers.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/callback_list.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/callback_list_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/callback_list_unittest.nc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/cancelable_callback.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/command_line.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/command_line_unittest.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/compiler_specific.h View 1 5 1 chunk +1 line, -1 line 0 comments Download
M base/containers/hash_tables.h View 1 2 3 4 6 3 chunks +28 lines, -26 lines 0 comments Download
M base/containers/hash_tables_unittest.cc View 2 chunks +9 lines, -10 lines 0 comments Download
M base/containers/linked_list_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/containers/mru_cache.h View 1 2 3 4 6 1 chunk +3 lines, -1 line 0 comments Download
M base/containers/mru_cache_unittest.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/containers/scoped_ptr_hash_map.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/containers/small_map.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/containers/stack_container.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/containers/stack_container_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/cpu.cc View 1 2 3 4 5 6 7 8 9 10 2 chunks +7 lines, -4 lines 0 comments Download
M base/critical_closure.h View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M base/deferred_sequenced_task_runner.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/deferred_sequenced_task_runner_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/environment.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/environment_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/feature_list.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/feature_list.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/feature_list_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/file_version_info_mac.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/file_version_info_mac.mm View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/file_version_info_unittest.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M base/file_version_info_win.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/file_version_info_win.cc View 1 2 3 4 3 chunks +5 lines, -2 lines 0 comments Download
M base/format_macros.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M base/guid.h View 2 chunks +3 lines, -2 lines 0 comments Download
M base/guid.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/guid_posix.cc View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M base/guid_unittest.cc View 1 2 3 4 2 chunks +5 lines, -2 lines 0 comments Download
M base/guid_win.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/hash.h View 1 2 3 4 2 chunks +6 lines, -4 lines 0 comments Download
M base/hash.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/id_map.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/id_map_unittest.cc View 1 2 3 4 4 chunks +6 lines, -4 lines 0 comments Download
M base/ios/crb_protocol_observers.mm View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/ios/device_util.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M base/ios/device_util.mm View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/ios/ios_util.h View 2 chunks +5 lines, -2 lines 0 comments Download
M base/ios/ios_util.mm View 1 2 3 4 2 chunks +7 lines, -5 lines 0 comments Download
M base/ios/scoped_critical_action.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/ios/weak_nsobject.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/ios/weak_nsobject_unittest.mm View 1 chunk +0 lines, -1 line 0 comments Download
M base/json/json_file_value_serializer.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/json/json_file_value_serializer.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/json/json_parser.h View 1 2 3 4 2 chunks +5 lines, -2 lines 0 comments Download
M base/json/json_parser.cc View 1 2 3 4 6 chunks +10 lines, -9 lines 0 comments Download
M base/json/json_parser_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/json/json_reader.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/json/json_reader_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/json/json_string_value_serializer.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/json/json_value_converter.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/json/json_value_serializer_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/json/json_writer.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/json/json_writer.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/json/json_writer_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/json/string_escape.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/json/string_escape_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/lazy_instance.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/lazy_instance.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/lazy_instance_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/linux_util.cc View 1 2 3 4 5 6 2 chunks +2 lines, -0 lines 0 comments Download
M base/location.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/logging.h View 1 2 3 4 6 7 8 9 10 11 12 1 chunk +4 lines, -2 lines 0 comments Download
M base/logging.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +8 lines, -5 lines 0 comments Download
M base/logging_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/logging_win.h View 1 2 3 4 1 chunk +4 lines, -2 lines 0 comments Download
M base/mac/foundation_util_unittest.mm View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M base/macros.h View 1 5 1 chunk +1 line, -1 line 0 comments Download
M base/md5.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/md5_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/message_loop/incoming_task_queue.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/incoming_task_queue.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_loop.h View 1 2 3 4 2 chunks +2 lines, -1 line 0 comments Download
M base/message_loop/message_loop.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_loop_task_runner.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_loop_test.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/message_loop/message_loop_unittest.cc View 1 2 3 4 2 chunks +5 lines, -0 lines 0 comments Download
M base/message_loop/message_pump.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/message_loop/message_pump_android.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_default.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_default.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_glib.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_glib_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_io_ios.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_io_ios_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_libevent.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/message_loop/message_pump_libevent.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_libevent_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/message_loop/message_pump_mac.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/message_loop/message_pump_mac.mm View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/message_loop/message_pump_perftest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/message_loop/message_pump_win.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/message_loop/message_pump_win.cc View 1 2 3 4 5 1 chunk +3 lines, -1 line 0 comments Download
M base/metrics/bucket_ranges.h View 1 2 3 4 5 6 7 8 9 10 11 12 4 chunks +12 lines, -7 lines 0 comments Download
M base/metrics/bucket_ranges.cc View 3 chunks +64 lines, -56 lines 0 comments Download
M base/metrics/bucket_ranges_unittest.cc View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M base/metrics/field_trial.h View 1 2 3 4 4 chunks +6 lines, -2 lines 0 comments Download
M base/metrics/field_trial.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/field_trial_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/metrics/histogram.h View 1 2 3 4 9 chunks +22 lines, -17 lines 0 comments Download
M base/metrics/histogram.cc View 1 2 3 4 5 6 23 chunks +31 lines, -30 lines 0 comments Download
M base/metrics/histogram_base.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +4 lines, -2 lines 0 comments Download
M base/metrics/histogram_base.cc View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +5 lines, -4 lines 0 comments Download
M base/metrics/histogram_delta_serialization.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/histogram_flattener.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/histogram_macros.h View 1 chunk +0 lines, -1 line 0 comments Download
M base/metrics/histogram_samples.h View 1 2 3 4 1 chunk +5 lines, -2 lines 0 comments Download
M base/metrics/histogram_snapshot_manager.h View 1 2 3 1 chunk +3 lines, -1 line 0 comments Download
M base/metrics/histogram_snapshot_manager_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/metrics/histogram_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +9 lines, -5 lines 0 comments Download
M base/metrics/metrics_hashes.h View 4 1 chunk +2 lines, -2 lines 0 comments Download
M base/metrics/metrics_hashes.cc View 1 chunk +1 line, -1 line 0 comments Download
M base/metrics/metrics_hashes_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/metrics/sample_map.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M base/metrics/sample_vector.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M base/metrics/sample_vector_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -0 lines 0 comments Download
M base/metrics/sparse_histogram.h View 1 2 3 4 3 chunks +6 lines, -3 lines 0 comments Download
M base/metrics/sparse_histogram.cc View 2 chunks +2 lines, -2 lines 0 comments Download
M base/metrics/statistics_recorder.h View 1 2 3 2 chunks +4 lines, -2 lines 0 comments Download
M base/metrics/statistics_recorder_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/metrics/user_metrics.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/move.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/numerics/safe_conversions.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/numerics/safe_conversions_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +3 lines, -0 lines 0 comments Download
M base/numerics/safe_math.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/numerics/safe_math_impl.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/numerics/safe_numerics_unittest.cc View 1 2 3 4 6 2 chunks +6 lines, -3 lines 0 comments Download
M base/observer_list.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/observer_list_threadsafe.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/os_compat_android.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M base/path_service.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/path_service_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/pickle.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/pickle.cc View 1 2 3 4 2 chunks +2 lines, -1 line 0 comments Download
M base/pickle_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 8 chunks +22 lines, -17 lines 0 comments Download
M base/posix/safe_strerror.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/posix/unix_domain_socket_linux.h View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
M base/posix/unix_domain_socket_linux.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/posix/unix_domain_socket_linux_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/power_monitor/power_monitor.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/power_monitor/power_monitor_device_source.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/power_monitor/power_monitor_device_source.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/power_monitor/power_monitor_source.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/power_monitor/power_monitor_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/process/internal_linux.cc View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M base/process/process_metrics_ios.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M base/process/process_metrics_posix.cc View 1 2 3 4 5 6 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/alternate_timer.cc View 1 5 6 1 chunk +1 line, -3 lines 0 comments Download
M base/profiler/native_stack_sampler_win.cc View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/scoped_profile.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/scoped_tracker.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/stack_sampling_profiler.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/profiler/stack_sampling_profiler.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/stack_sampling_profiler_unittest.cc View 1 2 3 4 5 2 chunks +5 lines, -1 line 0 comments Download
M base/profiler/tracked_time.h View 3 chunks +7 lines, -7 lines 0 comments Download
M base/profiler/tracked_time.cc View 2 chunks +6 lines, -5 lines 0 comments Download
M base/profiler/tracked_time_unittest.cc View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M base/profiler/win32_stack_frame_unwinder.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/profiler/win32_stack_frame_unwinder_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/rand_util.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/rand_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M base/rand_util_nacl.cc View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
M base/rand_util_posix.cc View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M base/rand_util_unittest.cc View 1 2 3 4 5 chunks +15 lines, -11 lines 0 comments Download
M base/rand_util_win.cc View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M base/run_loop.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/run_loop.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/scoped_clear_errno.h View 1 1 chunk +1 line, -1 line 0 comments Download
M base/scoped_generic.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/scoped_native_library_unittest.cc View 1 2 3 4 1 chunk +4 lines, -2 lines 0 comments Download
M base/scoped_observer.h View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/security_unittest.cc View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M base/sequence_checker_impl.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/sequence_checker_unittest.cc View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/sequenced_task_runner_helpers.h View 1 1 chunk +1 line, -1 line 0 comments Download
M base/sha1.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/sha1_portable.cc View 1 2 3 4 5 7 chunks +15 lines, -14 lines 0 comments Download
M base/sha1_unittest.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/strings/string_number_conversions_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M base/strings/string_piece.cc View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M base/supports_user_data.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M base/sync_socket.h View 1 2 3 4 5 1 chunk +8 lines, -5 lines 0 comments Download
M base/sync_socket_nacl.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/sync_socket_posix.cc View 1 2 3 4 5 2 chunks +2 lines, -0 lines 0 comments Download
M base/sync_socket_unittest.cc View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M base/sync_socket_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +4 lines, -0 lines 0 comments Download
M base/synchronization/cancellation_flag.h View 1 2 3 1 chunk +2 lines, -1 line 0 comments Download
M base/synchronization/condition_variable.h View 1 2 3 4 5 1 chunk +4 lines, -5 lines 0 comments Download
M base/synchronization/condition_variable_posix.cc View 1 2 3 4 2 chunks +3 lines, -1 line 0 comments Download
M base/synchronization/condition_variable_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/synchronization/condition_variable_win.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/synchronization/lock.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/synchronization/lock_impl.h View 1 2 3 4 5 2 chunks +2 lines, -3 lines 0 comments Download
M base/synchronization/lock_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/synchronization/waitable_event.h View 1 2 3 4 1 chunk +4 lines, -1 line 0 comments Download
M base/synchronization/waitable_event_posix.cc View 1 2 3 4 1 chunk +3 lines, -1 line 0 comments Download
M base/synchronization/waitable_event_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/synchronization/waitable_event_watcher_posix.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/synchronization/waitable_event_watcher_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/synchronization/waitable_event_win.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/sys_byteorder.h View 4 chunks +14 lines, -13 lines 0 comments Download
M base/sys_info.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/sys_info.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/sys_info_android.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/sys_info_chromeos.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M base/sys_info_freebsd.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/sys_info_internal.h View 1 2 3 1 chunk +2 lines, -0 lines 0 comments Download
M base/sys_info_ios.mm View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
M base/sys_info_linux.cc View 1 2 3 4 2 chunks +4 lines, -0 lines 0 comments Download
M base/sys_info_mac.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/sys_info_openbsd.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/sys_info_posix.cc View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
M base/sys_info_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/sys_info_win.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/system_monitor/system_monitor.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/system_monitor/system_monitor_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/task/cancelable_task_tracker.h View 1 2 3 2 chunks +4 lines, -2 lines 0 comments Download
M base/task/cancelable_task_tracker.cc View 1 2 3 4 3 chunks +4 lines, -2 lines 0 comments Download
M base/task_runner.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M base/template_util.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M base/template_util_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M base/third_party/icu/icu_utf.h View 1 2 3 4 11 chunks +86 lines, -77 lines 0 comments Download
M base/third_party/icu/icu_utf.cc View 1 2 3 4 4 chunks +32 lines, -33 lines 0 comments Download
M base/third_party/nspr/prtime.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M base/third_party/symbolize/symbolize.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M base/third_party/symbolize/symbolize.cc View 4 5 1 chunk +1 line, -1 line 0 comments Download
M base/third_party/symbolize/utilities.h View 4 5 1 chunk +1 line, -1 line 0 comments Download
M base/time/pr_time_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/time/time.h View 1 2 3 4 5 22 chunks +59 lines, -78 lines 0 comments Download
M base/time/time.cc View 1 2 3 4 8 chunks +21 lines, -19 lines 0 comments Download
M base/time/time_mac.cc View 1 2 3 4 4 chunks +12 lines, -10 lines 0 comments Download
M base/time/time_posix.cc View 11 chunks +22 lines, -26 lines 0 comments Download
M base/time/time_unittest.cc View 1 2 3 4 7 chunks +14 lines, -13 lines 0 comments Download
M base/time/time_win.cc View 1 2 3 4 14 chunks +22 lines, -23 lines 0 comments Download
M base/time/time_win_unittest.cc View 1 2 3 4 5 chunks +11 lines, -10 lines 0 comments Download
M base/timer/hi_res_timer_manager.h View 1 1 chunk +1 line, -1 line 0 comments Download
M base/timer/hi_res_timer_manager_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/timer/mock_timer_unittest.cc View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M base/timer/timer.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/timer/timer_unittest.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M base/tools_sanity_unittest.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/tracked_objects.h View 1 2 3 11 chunks +41 lines, -39 lines 0 comments Download
M base/tracked_objects.cc View 1 2 3 4 11 chunks +29 lines, -29 lines 0 comments Download
M base/tracked_objects_unittest.cc View 1 2 3 4 6 chunks +9 lines, -8 lines 0 comments Download
M base/tuple.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M base/value_conversions.cc View 1 2 3 4 2 chunks +3 lines, -2 lines 0 comments Download
M base/values.h View 1 2 3 4 3 chunks +3 lines, -2 lines 0 comments Download
M base/values_unittest.cc View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M base/version.h View 4 2 chunks +1 line, -2 lines 0 comments Download
M base/version_unittest.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M base/vlog.h View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M base/vlog.cc View 1 2 3 4 5 1 chunk +3 lines, -2 lines 0 comments Download
M base/vlog_unittest.cc View 1 chunk +0 lines, -1 line 0 comments Download
M media/cast/net/rtcp/rtcp_utility.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M media/cast/test/receiver.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M media/cast/test/utility/input_builder.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M media/cast/test/utility/input_builder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M media/filters/audio_clock.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
M media/filters/vp8_bool_decoder.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M net/cert/ct_log_verifier_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M net/quic/crypto/chacha20_poly1305_rfc7539_encrypter_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M net/quic/crypto/common_cert_set_1.c View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download
M net/quic/crypto/common_cert_set_2.c View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +2 lines, -0 lines 0 comments Download

Dependent Patchsets:

Messages

Total messages: 74 (39 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/1
3 years, 9 months ago (2015-12-17 23:22:28 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/130171) ios_dbg_simulator_ninja on ...
3 years, 9 months ago (2015-12-17 23:37:27 UTC) #5
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/20001
3 years, 9 months ago (2015-12-18 18:03:11 UTC) #7
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromeos_x86-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_x86-generic_chromium_compile_only_ng/builds/72560) chromium_presubmit on ...
3 years, 9 months ago (2015-12-18 18:12:14 UTC) #9
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/40001
3 years, 9 months ago (2015-12-18 18:17:58 UTC) #11
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/130499) ios_dbg_simulator_ninja on ...
3 years, 9 months ago (2015-12-18 18:28:39 UTC) #13
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/40001
3 years, 9 months ago (2015-12-20 15:55:35 UTC) #15
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromium_presubmit on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/130751) ios_rel_device_ninja on ...
3 years, 9 months ago (2015-12-20 16:05:25 UTC) #17
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/60001
3 years, 9 months ago (2015-12-20 18:05:42 UTC) #19
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_android on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/cast_shell_android/builds/1419)
3 years, 9 months ago (2015-12-20 18:19:10 UTC) #21
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/80001
3 years, 9 months ago (2015-12-23 01:27:59 UTC) #23
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/110990)
3 years, 9 months ago (2015-12-23 01:45:06 UTC) #25
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/100001
3 years, 8 months ago (2015-12-25 07:53:46 UTC) #28
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_dbg_simulator_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_dbg_simulator_ninja/builds/111282)
3 years, 8 months ago (2015-12-25 08:08:05 UTC) #30
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/100001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/100001
3 years, 8 months ago (2015-12-26 01:14:44 UTC) #33
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: ios_rel_device_ninja on tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios_rel_device_ninja/builds/152998)
3 years, 8 months ago (2015-12-26 01:28:12 UTC) #35
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/120001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/120001
3 years, 8 months ago (2015-12-26 01:39:47 UTC) #37
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/96547)
3 years, 8 months ago (2015-12-26 01:55:11 UTC) #39
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/140001
3 years, 8 months ago (2015-12-26 03:35:04 UTC) #41
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/96557) chromeos_amd64-generic_chromium_compile_only_ng on ...
3 years, 8 months ago (2015-12-26 03:50:47 UTC) #43
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/160001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/160001
3 years, 8 months ago (2015-12-26 03:52:19 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/180001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/180001
3 years, 8 months ago (2015-12-26 03:55:43 UTC) #47
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_ozone_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_ozone_rel_ng/builds/105536)
3 years, 8 months ago (2015-12-26 04:13:46 UTC) #49
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/200001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/200001
3 years, 8 months ago (2015-12-26 05:10:06 UTC) #51
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_compile_dbg_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_compile_dbg_ng/builds/137470) linux_chromium_gn_chromeos_rel on tryserver.chromium.linux (JOB_FAILED, ...
3 years, 8 months ago (2015-12-26 05:29:35 UTC) #53
commit-bot: I haz the power
This CL has an open dependency (Issue 1549203002 Patch 1). Please resolve the dependency and ...
3 years, 8 months ago (2015-12-26 05:41:48 UTC) #56
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/220001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/220001
3 years, 8 months ago (2015-12-26 05:42:33 UTC) #58
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_chromium_gn_chromeos_rel on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_gn_chromeos_rel/builds/124014)
3 years, 8 months ago (2015-12-26 06:03:02 UTC) #60
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/240001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/240001
3 years, 8 months ago (2015-12-26 06:27:03 UTC) #62
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/74017)
3 years, 8 months ago (2015-12-26 06:48:16 UTC) #64
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/260001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/260001
3 years, 8 months ago (2015-12-26 19:23:38 UTC) #66
commit-bot: I haz the power
Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/74029)
3 years, 8 months ago (2015-12-26 20:01:13 UTC) #68
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1538743002/280001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1538743002/280001
3 years, 8 months ago (2015-12-26 20:50:14 UTC) #70
commit-bot: I haz the power
Committed patchset #15 (id:280001)
3 years, 8 months ago (2015-12-26 22:15:31 UTC) #72
commit-bot: I haz the power
3 years, 8 months ago (2015-12-26 22:16:29 UTC) #74
Message was sent while issue was closed.
Patchset 15 (id:??) landed as
https://crrev.com/9b6f42934e5a1e65ebfc668d91a28a6e2678a14c
Cr-Commit-Position: refs/heads/master@{#366910}

Powered by Google App Engine
This is Rietveld 408576698